## Custom Array
 sometime i required data type that golang not provide. so, in this project i try to convert array of several data type in golang to several general data type we know such as :
### Sets
 set is a unique list of a certain data type, instead of iterating over it we can create it when the variable is instantiated. so we can access this data type whenever we need. 
### Linked List
 Linked List is a list that contain head and tail, head and tail is a node contain data type wich pointing to several node in between from head to tail.

 I need a Linked List to insert data into the middle of the list, this is possible in a primitive array. but i have to shift other elements. instead of shifting the other elements with the Link List, I only pay attention to the nearest element.